Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Interface ChatCompletionRequestAssistantMessageContent

All Known Implementing Classes:
  `ChatCompletionRequestAssistantMessageContent.InnerString`, `ChatCompletionRequestAssistantMessageContent.ListOfChatCompletionRequestAssistantMessageContentParts`

public interface ChatCompletionRequestAssistantMessageContent
The contents of the assistant message. Required unless `tool_calls` or `function_call` is specified.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `ChatCompletionRequestAssistantMessageContent.InnerString`
  Helper class to create `String` that implements `ChatCompletionRequestAssistantMessageContent`.
  `static final record`
  `ChatCompletionRequestAssistantMessageContent.ListOfChatCompletionRequestAssistantMessageContentParts`
  Helper class to create `List<ChatCompletionRequestAssistantMessageContentPart>` that implements `ChatCompletionRequestAssistantMessageContent`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static ChatCompletionRequestAssistantMessageContent.InnerString`
  `create(String val)`
  Creator to enable deserialization of `String` .
  `static ChatCompletionRequestAssistantMessageContent.ListOfChatCompletionRequestAssistantMessageContentParts`
  `createListOfChatCompletionRequestAssistantMessageContentParts(List<ChatCompletionRequestAssistantMessageContentPart> val)`
  Creator to enable deserialization of `List<ChatCompletionRequestAssistantMessageContentPart>` .

- ## Method Details

  - ### createListOfChatCompletionRequestAssistantMessageContentParts

    @Nonnull static ChatCompletionRequestAssistantMessageContent.ListOfChatCompletionRequestAssistantMessageContentParts createListOfChatCompletionRequestAssistantMessageContentParts(@Nonnull List<ChatCompletionRequestAssistantMessageContentPart> val)
    Creator to enable deserialization of `List<ChatCompletionRequestAssistantMessageContentPart>` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `ChatCompletionRequestAssistantMessageContent.ListOfChatCompletionRequestAssistantMessageContentParts`.

  - ### create

    @Nonnull static ChatCompletionRequestAssistantMessageContent.InnerString create(@Nonnull String val)
    Creator to enable deserialization of `String` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `ChatCompletionRequestAssistantMessageContent.InnerString`.